org.apache.synapse.transport.netty.listener

## Class Axis2HttpTransportListener

- java.lang.Object
- - org.apache.synapse.transport.netty.listener.Axis2HttpTransportListener

- All Implemented Interfaces:
    org.apache.axis2.transport.TransportListener
  Direct Known Subclasses:
    Axis2HttpSSLTransportListener

      public class Axis2HttpTransportListener
      extends java.lang.Object
      implements org.apache.axis2.transport.TransportListener

  `Axis2HttpTransportListener` is the Axis2 Transport Listener implementation for HTTP transport based on Netty.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<org.apache.synapse.commons.handlers.MessagingHandler>` | `messagingHandlers`
    `protected SourceConfiguration` | `sourceConfiguration`
    `protected org.apache.axis2.description.TransportInDescription` | `transportInDescription`

    - ### Fields inherited from interface org.apache.axis2.transport.TransportListener

      `HOST_ADDRESS, PARAM_PORT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Axis2HttpTransportListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `org.apache.axis2.addressing.EndpointReference` | `getEPRForService(java.lang.String s, java.lang.String s1)`
    `org.apache.axis2.addressing.EndpointReference[]` | `getEPRsForService(java.lang.String s, java.lang.String s1)`
    `org.apache.axis2.context.SessionContext` | `getSessionContext(org.apache.axis2.context.MessageContext messageContext)`
    `void` | `init(org.apache.axis2.context.ConfigurationContext configurationContext, org.apache.axis2.description.TransportInDescription transportInDescription)`
    `protected org.wso2.transport.http.netty.contract.config.ListenerConfiguration` | `initListenerConfiguration()`
    `protected Scheme` | `initScheme()`
    `void` | `setMessagingHandlers(java.util.List<org.apache.synapse.commons.handlers.MessagingHandler> messagingHandlers)`
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sourceConfiguration

          protected SourceConfiguration sourceConfiguration

    - #### messagingHandlers

          protected java.util.List<org.apache.synapse.commons.handlers.MessagingHandler> messagingHandlers

    - #### transportInDescription

          protected org.apache.axis2.description.TransportInDescription transportInDescription

  - ### Constructor Detail

    - #### Axis2HttpTransportListener

          public Axis2HttpTransportListener()

  - ### Method Detail

    - #### init

          public void init(org.apache.axis2.context.ConfigurationContext configurationContext,
                           org.apache.axis2.description.TransportInDescription transportInDescription)
                    throws org.apache.axis2.AxisFault

      Specified by:
        `init` in interface `org.apache.axis2.transport.TransportListener`
      Throws:
        `org.apache.axis2.AxisFault`

    - #### start

          public void start()
                     throws org.apache.axis2.AxisFault

      Specified by:
        `start` in interface `org.apache.axis2.transport.TransportListener`
      Throws:
        `org.apache.axis2.AxisFault`

    - #### stop

          public void stop()
                    throws org.apache.axis2.AxisFault

      Specified by:
        `stop` in interface `org.apache.axis2.transport.TransportListener`
      Throws:
        `org.apache.axis2.AxisFault`

    - #### getEPRForService

          public org.apache.axis2.addressing.EndpointReference getEPRForService(java.lang.String s,
                                                                                java.lang.String s1)

      Specified by:
        `getEPRForService` in interface `org.apache.axis2.transport.TransportListener`

    - #### getEPRsForService

          public org.apache.axis2.addressing.EndpointReference[] getEPRsForService(java.lang.String s,
                                                                                   java.lang.String s1)

      Specified by:
        `getEPRsForService` in interface `org.apache.axis2.transport.TransportListener`

    - #### getSessionContext

          public org.apache.axis2.context.SessionContext getSessionContext(org.apache.axis2.context.MessageContext messageContext)

      Specified by:
        `getSessionContext` in interface `org.apache.axis2.transport.TransportListener`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `org.apache.axis2.transport.TransportListener`

    - #### initScheme

          protected Scheme initScheme()

    - #### initListenerConfiguration

          protected org.wso2.transport.http.netty.contract.config.ListenerConfiguration initListenerConfiguration()
                                                                                                           throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### setMessagingHandlers

          public void setMessagingHandlers(java.util.List<org.apache.synapse.commons.handlers.MessagingHandler> messagingHandlers)

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.